Bug 7083 - [FR] serial and other installation methods
: [FR] serial and other installation methods
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/cross-component)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 7079 26300
  Show dependency tree
 
Reported: 2005-06-14 16:19 by
Modified: 2013-08-15 18:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-14 16:19:27
Было бы удобно рядом с имиджами дискет положить аналог их в виде одного 
маленького iso.
------- Comment #1 From 2005-06-14 16:19:58 -------
to manteiner 
------- Comment #2 From 2005-06-14 16:32:41 -------
угу... а ещё вечная тема -- это "маленький инсталер", возможно, как раз в
текущем в объёме. :)
------- Comment #3 From 2005-06-14 16:36:11 -------
(In reply to comment #2) 
> угу... а ещё вечная тема -- это "маленький инсталер", возможно, как раз в 
> текущем в объёме. :) 
Да нет же. Только первая стадия. Вместо всех дискет. Ну, естественно это 
только для ftp версии нужно. 
------- Comment #4 From 2005-06-14 16:53:59 -------
да понял, понял... просто года три как помню такие просьбы, как добавил. :)
------- Comment #5 From 2005-06-14 17:00:41 -------
to proper package  
------- Comment #6 From 2005-06-20 17:08:58 -------
а что на этом iso должно быть ?
Расскажите, как вы хотели бы что бы это выглядело ?
------- Comment #7 From 2005-06-20 17:10:59 -------
(In reply to comment #6) 
> а что на этом iso должно быть ? 
Все, что на имиджах дискет. 
 
> Расскажите, как вы хотели бы что бы это выглядело ? 
Как заменитель дискет и как можно меньшего размера. 
 
------- Comment #8 From 2005-07-19 11:42:17 -------
Разве install CD не содержит всё, что можно найти на дискетах? Дискеты нужны
для
установки без CD. Лучше подумать о двух более полезных вещах:
1. Установка через serial console. Полезно для установок на colocation.
2. Замена существующей ОС с одной перезагрузкой. Полезно для случаев, когда
доступ к машине получить можно _только_ по ssh.
Я думаю, что в обоих случаях установщик сначала должен получать список
минимальных параметров: модуль сетевого адаптера, строчку для iftab, адрес и
шлюз (или архив, который нужно распаковать в /etc/net). Небольшой установщик
должен по сети или со stdin (uuencode, zmodem) затягивать образ с минимальной
системой (100-150M?). Затем после перемонтирования всего в R/O и отключения
swap
он должен создать небольшой раздел, распаковать туда образ, установить MBR и
перезагрузить машину.
После загрузки в этот раздел у нас должна быть минимальная система, доступная
по
сети через ssh. Правильно я рассуждаю?
------- Comment #9 From 2005-07-19 12:33:35 -------
(In reply to comment #8)  
> Разве install CD не содержит всё, что можно найти на дискетах?  
Это не повод делать только install DVD. 
Это только для ftp-версии. 
 
Твое сообщение не в тему. Не хулигань и не меняй ее. 
------- Comment #10 From 2005-07-19 15:23:43 -------
2 pilot: повесь это же куда-нить и пометь как #7371 blocker, поскольку Compact
3.0 вроде как не предполагается в стойки.
------- Comment #11 From 2005-07-19 16:58:55 -------
Ладно.
------- Comment #12 From 2007-04-19 11:27:18 -------
перевешиваю в вакуум, мож когда пригодится
------- Comment #13 From 2007-11-21 21:17:17 -------
Сейчас развивается mkimage, хотя вряд ли Лёше сейчас актуальны последовательные
консольки, так что лучше заинтересованным самим смотреть :)
------- Comment #14 From 2007-11-26 13:08:27 -------
(In reply to comment #13)
> Сейчас развивается mkimage, хотя вряд ли Лёше сейчас актуальны последовательные
> консольки, так что лучше заинтересованным самим смотреть :)

Сейчас в mkimage в heads/unstable появилась возможность паковать один и тот же
образ несколькими способами.
------- Comment #15 From 2008-02-24 13:52:27 -------
Вообщем на переосмысление.
------- Comment #16 From 2008-02-24 13:56:51 -------
Зачем закрывать баг? Чтобы он пропал из виду ещё лет на пять? :) Он и так на 
nobody / enh висит.
------- Comment #17 From 2008-02-24 14:12:54 -------
Меня каждый раз смущает этот баг при просмотре списка багов на mkimage. Я
сказал
своё отношение к этой проблеме. Из того что я понял, эта проблема может быть
решена данным инструменом.

Resolve bug => LATER

Когда вы делаете REOPENED, то пишите обоснование по существу. Обоснования "не
нужно закрывать чтобы не потерялось" не достаточно. Я считаю проблему
исчерпаной. Если это не так, то переоткрывайте с описанием как воспроизвести.
------- Comment #18 From 2008-02-24 14:17:01 -------
Я считаю "чтобы не потерялось" обоснованием по существу. Если баг закрыт - это 
FIXED, а если "потом обдумаем" - он открыт.

Мне сейчас лениво разбираться, что с ним надо делать - закрывать нормально, 
перевешивать или плодить пачку новых, так что пусть останется как есть.
------- Comment #19 From 2008-02-24 14:30:49 -------
(In reply to comment #18)
> Я считаю "чтобы не потерялось" обоснованием по существу. Если баг закрыт - это 
> FIXED, а если "потом обдумаем" - он открыт.

Михаил, у бага есть несколько состояний. FIXED - это состояние когда баг
исправлен и протестирован, но не закрыт. В данном случае решение по проблеме
принято, но бага не закрыта.

------- Comment #20 From 2009-09-11 23:24:20 -------
Что эта бага делает на _mkimage_?!

2 dottedmag: лениво разбираться -- не спеши обижать людей опрометчиво.
------- Comment #21 From 2013-08-15 18:40:59 -------
Этот баг обо всём всем заинтересованным стоило бы оформить как несколько багов
по конкретным темам с патчами.

За прошедшее время:
- возникли совсем текстовые инсталяторы (live-install & co),
- добавлена их поддержка в тоже возникшие mkimage-profiles;
- получили широкое распространение IP-KVM с iKVM;
- возник всякий облачный хостинг, питающийся образами.

В направлении замещения существующей ОС вроде как никто системно не работал.

(В ответ на комментарий №0)
> Было бы удобно рядом с имиджами дискет положить аналог их в виде одного 
> маленького iso.
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/netinst/